View Issue Details

IDProjectCategoryView StatusLast Update
0023053LazarusLCLpublic2013-02-03 13:13
ReporterAvishaiAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0023053: Please add TApplication.IsRightToLeft
DescriptionTApplication has property BiDiMode but does not have function IsRightToLeft.
TagsNo tags attached.
Fixed in Revisionr40155
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Avishai

2013-01-26 11:36

reporter   ~0065176

in file forms.pp in the public section of TApplication type definition Add

TApplication = class(TCustomApplication)
...
public
  function IsRightToLeft: Boolean;

-------------------

in file application.inc

function TApplication.IsRightToLeft: Boolean;
begin
  Result := BiDiMode <> bdLeftToRight;
end;

Juha Manninen

2013-01-26 12:57

developer   ~0065180

What is the benefit of using :
  if IsRightToLeft then
    ...

compared to :
  if BiDiMode <> bdLeftToRight then
    ...

?

Avishai

2013-01-26 13:39

reporter   ~0065181

Last edited: 2013-01-26 13:56

Consistency. Most if not all components that support BiDiMode also have 'IsRightToLeft'. TForm, TPanel, TEdit... just to name a few.

Edit: Also for Delphi comparability.

Bart Broersma

2013-01-26 17:09

developer   ~0065194

Apparantly Delphi has this for TControl and TApplication.

Juha Manninen

2013-01-26 18:43

developer   ~0065197

Ok, true.

Bart Broersma

2013-02-03 13:05

developer   ~0065418

Please close if OK.

Issue History

Date Modified Username Field Change
2012-10-04 10:40 Avishai New Issue
2012-10-04 10:40 Avishai Widgetset => Win32/Win64
2013-01-26 11:36 Avishai Note Added: 0065176
2013-01-26 12:57 Juha Manninen Note Added: 0065180
2013-01-26 13:39 Avishai Note Added: 0065181
2013-01-26 13:56 Avishai Note Edited: 0065181
2013-01-26 17:09 Bart Broersma Note Added: 0065194
2013-01-26 17:11 Bart Broersma Status new => assigned
2013-01-26 17:11 Bart Broersma Assigned To => Bart Broersma
2013-01-26 18:43 Juha Manninen Note Added: 0065197
2013-02-03 13:05 Bart Broersma Fixed in Revision => r40155
2013-02-03 13:05 Bart Broersma LazTarget => -
2013-02-03 13:05 Bart Broersma Note Added: 0065418
2013-02-03 13:05 Bart Broersma Status assigned => resolved
2013-02-03 13:05 Bart Broersma Fixed in Version => 1.1 (SVN)
2013-02-03 13:05 Bart Broersma Resolution open => fixed
2013-02-03 13:13 Avishai Status resolved => closed